.user-dropdown{

    position:absolute;

    top:60px;
    right:0;

    width:180px;

    background:white;

    border-radius:12px;

    box-shadow:
        0 8px 20px rgba(0,0,0,.15);

    overflow:hidden;

    opacity:0;
    visibility:hidden;

    transform:translateY(10px);

    transition:all .25s ease;

    z-index:1000;
}

.user-dropdown a{

    display:block;

    padding:12px 15px;

    color:#333;

    text-decoration:none;

    transition:.2s;
}

.user-dropdown a:hover{

    background:#f5f5f5;

    color:#ef4444;
}

.user-menu:hover .user-dropdown{

opacity:1;

visibility:visible;

transform:translateY(0);
}

.overlay-login{

position:fixed;

top:0;
left:0;

width:100%;
height:100%;

background:rgba(0,0,0,.4);

opacity:0;
visibility:hidden;

transition:.3s;

z-index:2000;
}

.overlay-login.show{

opacity:1;
visibility:visible;
}

.painel-login{

position:fixed;

top:0;
right:0;

width:380px;
max-width:90%;

height:100%;

background:white;

transform:translateX(100%);

transition:.3s ease;

z-index:2001;

padding:30px;

box-shadow:
    -5px 0 20px rgba(0,0,0,.15);
}

.painel-login.show{

transform:translateX(0);
}

.login-header{

display:flex;

justify-content:space-between;

align-items:center;

margin-bottom:30px;
}

.login-header h2{

font-size:28px;
}

.login-header button{

border:none;

background:none;

font-size:30px;

cursor:pointer;
}

.painel-login form{

display:flex;

flex-direction:column;

gap:15px;
}

.painel-login input{

height:50px;

padding:0 15px;

border:1px solid #ddd;

border-radius:10px;
}

.btn-login{

height:50px;

border:none;

border-radius:10px;

background:#ef4444;

color:white;

font-weight:bold;

cursor:pointer;
}

.btn-cadastro{

height:50px;

border:none;

border-radius:10px;

background:#3466AF;

color:white;

font-weight:bold;

cursor:pointer;
}

.esqueci-senha{

text-align:center;

margin-top:10px;

color:#3466AF;

text-decoration:none;
}